<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/28/2003 *
 * ================                             Last change: 02/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-                                            *
 * -------------------------------------------------------------------- *
 * Short description :                                                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  :                                                  *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!is_admin()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}
// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

if (isset($_POST['ok']))
{
	// Test timestamp
	$STAMP = mktime(0, 0, 0, bigintval($_POST['month']), bigintval($_POST['day']), bigintval($_POST['year']));
	if ($STAMP > time())
	{
		// Date is in the future!
		unset($_POST['ok']);
	}
	 else
	{
		// Remove entries
		unset($_POST['day']);
		unset($_POST['month']);
		unset($_POST['year']);

		// Remember timestamp
		$_POST['mt_start'] = $STAMP;
	}

	// Convert some data
	$_POST['mt_stage'] = bigintval($_POST['mt_stage']);
	if ($_POST['mt_stage'] <= GET_TOTAL_DATA("CONFIRMED", "user_data", "userid", "status", true))
	{
		// Not enougth!
		unset($_POST['ok']);
	}
}

if (isset($_POST['ok']))
{
	// Save data
	ADMIN_SAVE_SETTINGS($_POST);
}
 else
{
	// Start of this exchange
	if ($CONFIG['mt_start'] > 0)
	{
		// Only show start
		define('__MT_START', "<STRONG>".MAKE_DATETIME($CONFIG['mt_start'], "3")."</STRONG>");
	}
	 else
	{
		// Make start editable
		define('__MT_START',
			ADD_SELECTION("day"  , date("d", time())).
			ADD_SELECTION("month", date("m", time())).
			ADD_SELECTION("year",  -1)
		);
	}

	// Next stage of this MT
	define('__MT_STAGE', $CONFIG['mt_stage']);

	// Load template
	LOAD_TEMPLATE("admin_config_mediadata");
}

//
?>
